/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               CatFunctor.java
Description:	      This class is equivalent to a struct in C/C++. It contains all
                    of the information that is needed to create a functor node
*/

class CatFunctor
{
  IniSettings ini = new IniSettings();
  String filename;
  String name;
  int[] obj = new int[ini.getMAXWORD()];
  int[][] arr = new int [ini.getMAXARR()][ini.getMAXWORD()];
}