 /*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               CategoryNode.java
Description:        This is a class that contains a category and another ListNode
                    called next. It also contains a boolean variable to indicate
                    if the category file has been modified and not saved.
*/

class CategoryNode
//class ListNode definition
{
  Category cat;               //The category in the ListNode
  CategoryNode next;              //The next ListNode in the list

  CategoryNode(Category c)
  //Constructor
  {
     cat = c;
     next = null;
  }

  CategoryNode(Category c, CategoryNode nextNode)
  //Constructor
  {
     cat = c;
     next = nextNode;
  }

  Category getObject()
  //Returns the ListNode category
  {
     return cat;
  }

  CategoryNode getnext()
  //Returns the next CategoryNode in the list
  {
     return next;
  }
}